List information requests for an application
Returns all information requests for a given onboarding application.
GET
/
applications
/
{applicationId}
/
information-requests
List information requests for an application
curl --request GET \
--url https://api.equalsmoney.com/v2/applications/{applicationId}/information-requests \
--header 'Authorization: <api-key>'import requests
url = "https://api.equalsmoney.com/v2/applications/{applicationId}/information-requests"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.equalsmoney.com/v2/applications/{applicationId}/information-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"applicationId": "97ab27fa-30e2-43e3-92a3-160e80f4c0d5",
"requiredInformation": [
{
"expectedResponseType": "text",
"code": "PROOF_OF_ADDRESS"
}
],
"associatedPeople": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"requiredInformation": [
{
"expectedResponseType": "text",
"code": "PROOF_OF_ADDRESS"
}
]
}
],
"additionalInformation": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
]Authorizations
Path Parameters
The ID of the application to work with.
Maximum string length:
36Example:
"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"
Response
200 - application/json
OK
Unique identifier for the information request.
The onboarding application this request belongs to.
Information items requested from the applicant.
Show child attributes
Show child attributes
Associated people with their own required information items.
Show child attributes
Show child attributes
Free text context about why the information is needed.
The date the Resource was initially created. ISO 8601 format without milliseconds.
Example:
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "applicationId": "97ab27fa-30e2-43e3-92a3-160e80f4c0d5", "requiredInformation": [ { "expectedResponseType": "text", "code": "PROOF_OF_ADDRESS" } ], "associatedPeople": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "requiredInformation": [ { "expectedResponseType": "text", "code": "PROOF_OF_ADDRESS" } ] } ], "additionalInformation": "string", "createdAt": "2019-08-24T14:15:22Z" } ]
Was this page helpful?
⌘I
List information requests for an application
